/*
 * Class ITERABLE [NATURAL_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_713 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_713 [] = {0xFF01,237,712,197,0xFFFF};
static const EIF_TYPE_INDEX egt_2_713 [] = {0xFF01,712,197,0xFFFF};
static const EIF_TYPE_INDEX egt_3_713 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_713 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_713 [] = {0xFF01,712,197,0xFFFF};
static const EIF_TYPE_INDEX egt_6_713 [] = {0xFF01,712,197,0xFFFF};
static const EIF_TYPE_INDEX egt_7_713 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_713 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_713 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_713 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_713 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_713 [] = {712,197,0xFFFF};
static const EIF_TYPE_INDEX egt_13_713 [] = {0xFF01,712,197,0xFFFF};
static const EIF_TYPE_INDEX egt_14_713 [] = {0xFF01,713,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_713 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_713[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_713), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_713), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_713), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_713), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_713), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_713), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_713), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_713), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_713), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_713), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_713), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_713), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_713), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_713), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_713), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_713), -1, 0xFFFFFFFF},
};
void Init713(void)
{
	IDSC(desc_713, 0, 712);
	IDSC(desc_713 + 1, 1, 712);
	IDSC(desc_713 + 32, 99, 712);
}


#ifdef __cplusplus
}
#endif
